Subject: bug#14085: 24.3.50; regression `C-c C-c' in `report-emacs-bug' no longer closesthereportwindow

From: "Drew Adams" <[email-masked]>
Date: Tue, 14 May 2013 11:14:22 -0700

> > Just a reminder that it is still broken, as of this build:
                                             ^^^^^^^^^^^^^^^^
> >
> > In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
> >  of 2013-05-10 on ODIEONE
> > Bzr revision: 112542 [email-masked]
> 
> No, it isn't. Your build is either broken, or not the one you think.

I'm guessing that the build is broken, then (see below).

I used that build to submit a new bug report this morning: #14398.
And the bug was manifested.

And I just now repeated it from `emacs -Q' using the same build.
Created a bug report, then C-c C-c.

1. I get the "Wrong type argument: stringp, nil" error.
2. The buffer *sent mail to [email-masked]* is still visible (not
buried).

(#2 is no doubt due to #1.)

> > Debugger entered--Lisp error: (wrong-type-argument stringp nil)
> >   message-bury()
> >   message-send-and-exit(nil)
> >   call-interactively(message-send-and-exit nil nil)
> >   command-execute(message-send-and-exit)
> 
> Not possible since
> http://lists.gnu.org/archive/html/emacs-diffs/2013-05/msg00063.html

Happens.  Everytime.  With the build reported.

And please stop with the arrogant sermons.

It is 100% reproducible with this build, which post-dates the change you cite by
four days:

In GNU Emacs 24.3.50.1 (i386-mingw-nt5.1.2600)
 of 2013-05-10 on ODIEONE
Bzr revision: 112542 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -IC:/Devel/emacs/build/include --ldflags -LC:/Devel/emacs/build/lib'

The attached screenshot shows that the change you cite was NOT included in this
build (the arg for `message-bury' is still &optional), even though the URL you
cite lists the change as r112485 and this build uses r112542 (if I read these
things correctly).

However, if I visit message.el in this build, I see that the source-code change
WAS applied.  I thought that might mean that the file was not recompiled for the
build.  But the date/times for message.el[c] are identical (per `ls', at least).

So both the actual behavior and the doc (`C-h f') suggest that the fix was NOT
applied, but the source file shows it WAS.  If you click the `message.el' link
from `C-h f message-bury' you get to the source file, where the signature
contradicts what is shown by `C-h f'.

So perhaps, as you so politely suggested ;-), the build is in some way broken.

I will test again with the next binary I get my hands on.  Looking forward to
the fix.  Thx.